#include <iostream>
#include <string>
using namespace std;
int main(){
    ios_base::sync_with_stdio(false);
    int n,k=0,i=0;
    cin>>n;
    string a;
    cin>>a;
    while(i<a.length()){
        if(int(a[i])-64<k){
            a.erase(i,1);
        }
        else{
            if(int(a[i])-65==k)
                k++;
            i++;    
        }
    }
    if(k!=26){
        cout<<0;
    }
    else{
        int m[26]={0};
        for(int i=0;i<n;i++)
            m[int(a[i])-65]++;
        int s=1;
        for(int i=0;i<26;i++){
            s*=m[i];
            s%=1000000007;
        }
        cout<<s;
    }
}